Loading...
Searching...
No Matches
interface.hh File Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Provides classes for building the communication interface between remote indices. More...

`#include <cassert>`
`#include <cstddef>`
`#include <iostream>`
`#include <map>`
`#include <tuple>`
`#include <mpi.h>`
`#include <dune/common/enumset.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/parallel/remoteindices.hh>`

Go to the source code of this file.

## Classes

class | Dune::InterfaceBuilder
| Base class of all classes representing a communication interface. More...
class | Dune::InterfaceBuilder::RemoteIndicesStateError
class | Dune::InterfaceInformation
| Information describing an interface. More...
class | Dune::Interface
| Communication interface between remote and local indices. More...

## Namespaces

namespace | Dune
| Dune namespace

## Functions

std::ostream & | Dune::operator<< (std::ostream &os, const Interface &interface)

## Detailed Description

Provides classes for building the communication interface between remote indices.

Author
  Markus Blatt